Summary:	A tool for converting XML files to various formats
Summary(pl.UTF-8):	Narzędzie do konwersji plików XML do różnych formatów
Name:		xmlto
Version:	0.0.28
Release:	1
License:	GPL v2
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/x/m/xmlto/%{name}-%{version}.tar.bz2
# Source0-md5:	93bab48d446c826399d130d959fe676f
URL:		http://cyberelk.net/tim/software/xmlto/
BuildRequires:	autoconf
BuildRequires:	automake >= 1.6
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl >= 1.56.0
BuildRequires:	libpaper
BuildRequires:	libxslt-progs
BuildRequires:	util-linux
Requires:	docbook-dtd42-xml
Requires:	docbook-style-xsl >= 1.56.0
Requires:	libxslt-progs
Requires:	mktemp >= 1.5-19
Requires:	xmltex
# for getopt
Requires:	util-linux
# fop is required for --with-fop. It is quite rare usecase. Moreover fop is
# heavy dependency (written in Java, requires several Java libs, takes long time
# to execute %post), so we don't want user to force to install it.
Suggests:	fop
# for paperconf program
Suggests:	libpaper
# this is the default; links/lynx/text-www-browser is also possible
Suggests:	w3m
Obsoletes:	refentry2man
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This is a package for converting XML files to various formats using
XSL stylesheets.

%description -l pl.UTF-8
Jest to pakiet do konwersji plików w formacie XML do innych formatów
przy użyciu styli XSL.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	FOP=/usr/bin/fop \
	PAPER_CONF=/usr/bin/paperconf \
	PDFXMLTEX=/usr/bin/pdfxmltex \
	XMLTEX=/usr/bin/xmltex
%{__make}

cat > refentry2man <<'EOF'
#!/bin/sh
XMLTO_TMPFILE=$(mktemp -t xmltoXXXXXX)
XMLTO_TMPDIR=$(mktemp -d -t xmltodirXXXXXX)
cat - > $XMLTO_TMPFILE
xmlto -o $XMLTO_TMPDIR man $XMLTO_TMPFILE >/dev/null
cat $XMLTO_TMPDIR/*
rm -f $XMLTO_TMPFILE
rm -rf $XMLTO_TMPDIR
EOF

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install refentry2man $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/refentry2man
%attr(755,root,root) %{_bindir}/xmlif
%attr(755,root,root) %{_bindir}/xmlto
%{_datadir}/%{name}
%{_mandir}/man1/xmlif.1*
%{_mandir}/man1/xmlto.1*
%changelog
* Tue Jul 04 2017 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xmlto.git;a=log;h=master

* Fri Nov 20 2015 Jakub Bogusz <qboosh@pld-linux.org> 800f6f3
- updated to 0.0.28

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 3a7ae73
- x32 rebuild
- release 2 (by relup.sh)

* Sun Apr 06 2014 Jakub Bogusz <qboosh@pld-linux.org> 7093eb5
- updated to 0.0.26

* Sun Dec 04 2011 Jakub Bogusz <qboosh@pld-linux.org> c02a8e2
- updated to 0.0.25

* Fri Jul 15 2011 Jakub Bogusz <qboosh@pld-linux.org> 73fe689
- updated to 0.0.24

* Wed Dec 01 2010 Jakub Bogusz <qboosh@pld-linux.org> b19a155
- updated to 0.0.23
- removed obsolete no_which patch
- pass some paths for deterministic build

* Mon Sep 27 2010 pawelz <pawelz@pld-linux.org> bbc219c
- S: fop
- rel 5

* Thu Nov 19 2009 zbyniu <zbyniu@pld-linux.org> a65611f
- rel 4

* Thu Oct 29 2009 Karol Krenski <charles@pld-linux.org> 7551937
- xmlto without R: which

* Thu Oct 29 2009 Karol Krenski <charles@pld-linux.org> cc941f3
- added -no_which.patch
- BR/S libpaper

* Tue Jul 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> f81c939
- rel 3

* Tue Jul 14 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 4c07a39
- rel 2

* Fri May 29 2009 amateja <amateja@pld-linux.org> 6fc0f7f
- updated to 0.0.22

* Tue Aug 19 2008 Jakub Bogusz <qboosh@pld-linux.org> eb18f6a
- updated to 0.0.21
- updated URLs

* Sun May 25 2008 zbyniu <zbyniu@pld-linux.org> b601369
- up to 0.0.20

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 70517cd
- rel 7

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> d37e594
- fix mktemp (thx qboosh); rel 6

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 3d0ee71
- rel 5

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 34c2e72
- whoops; rel 4

* Tue Dec 25 2007 Elan Ruusamäe <glen@pld-linux.org> 1f2dd36
- rel 3

